Package org.eclipse.jface.text.information

# Interface IInformationProvider

public interface IInformationProvider
Provides information related to the content of a text viewer.

In order to provide backward compatibility for clients of `IInformationProvider`, extension interfaces are used to provide a means of evolution. The following extension interfaces exist:

- `IInformationProviderExtension` since version 2.1 introducing the ability to provide the element for a given subject
- `IInformationProviderExtension2` since version 3.0 introducing the ability to provide its own information control creator

Clients may implement this interface.

Since:
  2.0
See Also:
  - `IInformationProviderExtension`
  - `IInformationProviderExtension2`
  - `IInformationPresenter`
  - `ITextViewer`

## Method Summary

Modifier and Type
Method
Description
`String`
`getInformation(ITextViewer textViewer, IRegion subject)`
Deprecated.
As of 2.1, replaced by `IInformationProviderExtension.getInformation2(ITextViewer, IRegion)`
`IRegion`
`getSubject(ITextViewer textViewer, int offset)`
Returns the region of the text viewer's document close to the given offset that contains a subject about which information can be provided.

## Method Details

### getSubject

IRegion getSubject(ITextViewer textViewer, int offset)
Returns the region of the text viewer's document close to the given offset that contains a subject about which information can be provided.

For example, if information can be provided on a per code block basis, the offset should be used to find the enclosing code block and the source range of the block should be returned.

Parameters:
  `textViewer` - the text viewer in which information has been requested
  `offset` - the offset at which information has been requested
Returns:
  the region of the text viewer's document containing the information subject

### getInformation

@Deprecated String getInformation(ITextViewer textViewer, IRegion subject)
Deprecated.
As of 2.1, replaced by `IInformationProviderExtension.getInformation2(ITextViewer, IRegion)`
Returns the information about the given subject or `null` if no information is available. It depends on the concrete configuration in which format the information is to be provided. For example, information presented in an information control displaying HTML, should be provided in HTML.

Parameters:
  `textViewer` - the viewer in whose document the subject is contained
  `subject` - the text region constituting the information subject
Returns:
  the information about the subject
See Also:
  - `IInformationPresenter`